def do_marks(x, a, b):
    if x[a][0] == '-':
        for i in range(a + 1, b + 1):
            x[i][0] = '-' if x[i][0] == '+' else '+'
    return x


def do_sum(x):
    sum = 0
    for it in x:
        if it[0] == '-':
            sum -= it[-1]
        else:
            sum += it[-1]
    return sum


def find_bracket(x):
    n = len(x)
    for i in range(n):
        for j in range(i + 1, n):
            tmp = do_marks(x, i, j)
            s = do_sum(tmp)
            do_marks(x, i, j)
            if s == 0:
                return i, j
    return None, None


def print_brackets(x, brackets):
    s = ''
    for it in brackets:
        x[it[0]] = list((x[it[0]][0], '(', x[it[0]][1]))
        x[it[1]].append(')')
    for it in x:
        for jt in it:
            s += str(jt)
    if s[0] == '+':
        s = s[1:]
    print(s)


s = input()
if s[0] != '-':
    s = '+' + s
data = []
for i in range(0, len(s), 2):
    data.append(s[i:i + 2])

n = len(data)
for i in range(n):
    data[i] = list(data[i])
    data[i][-1] = int(data[i][-1])

if do_sum(data) == 0:
    print(s if s[0] == '-' else s[1:])
else:
    a, b = find_bracket(data)
    if a == None:
        print('NO')
    else:
        print_brackets(data, [[a, b]])
