#include <iostream>
#include <vector>
#include <string>
#include "stdio.h"
using namespace std;

typedef long long ll;

ll Sum(vector<ll> v) {
    ll sum = 0;
    for(int i = 0; i < v.size(); i++) {
        ll vv = v[i];
        sum += vv;
    }
    return sum;
}

ll Check(vector<ll> v, ll index) {
    vector<ll> vNew = v;
    for(int j = index + 1; j < v.size(); j++) {
        vNew[j] *= -1;
        if(Sum(vNew) == 0) {
            return j;
        }
    }
    return -1;
}

string TOstring(ll n) {
    string s;
    if(n < 0) {
//        s = "-";
        n *= -1;
    } else if(n == 0) {
        return "0";
    }
    while(n > 0) {
        string c = "";
        c += n % 10 + '0';
        s = c + s;
        n /= 10;
    }
    return s;
}

string FormAns(vector<ll> v, ll l, ll r) {
    string s = TOstring(v[0]);
    if(v[0] < 0) {
        s = "-" + s;
    }
    ll len = v.size();
    for(int i = 1; i < len; i++) {
        ll vi = v[i];
        if(vi < 0 && i < len - 1) {
            s += "-";
            vi *= -1;
        } else if(i > 0) {
            s += "+";
        }
        if(i == l) {
            s += "(";
        }
        s += TOstring(vi);
        if(i == r) {
            s += ")";
        }
    }
    return s;
}

int main() {
    vector<ll> nums;
    vector<bool> pluses;
    ll n;
    char c = '+';
    bool nPlus = true;
    while(c != '\n') {
        cin >> n;
        char c = getchar();
        if(c == '\n') {
            if(!nPlus) {
                n *= -1;
            }
            nums.push_back(n);
            break;
        }
        if(!nPlus) {
            n *= -1;
        }
        nums.push_back(n);
        nPlus = c == '+';
    }

    for(int i = 1; i < nums.size(); i++) {
        ll v = nums[i];
        if(v < 0) {
            ll res = Check(nums, i);
            if(res != -1) {
                cout << FormAns(nums, i, res) << "\n";
                return 0;
            }
        }
    }

    cout << "NO\n";
    return 0;
}
