#include <iostream>
#include <string>
#include "math.h"
using namespace std;

typedef long long ll;

ll CharToLL(char c) {
    ll v = c - '0';
    if(v > 9) {
        return c - 'A' + 10;
    }
    return v;
}

ll StringToLL(string s) {
    ll v = 0;
    ll p = 1;
    for(int i = s.length() - 1; i >= 0; i--) {
        char c = s[i];
        v += p * CharToLL(c);
        p *= 16;
    }
    return v;
}

int main() {
    string s1, s2;
    ll n;
    cin >> s1 >> s2 >> n;
    ll v1 = StringToLL(s1);
    ll v2 = StringToLL(s2);
    ll vReal = v1;
    for(ll i = 0; i < n; i++) {
        ll last = vReal & 0b1;
        last = last << 15;
        vReal = last | (vReal >> 1);
    }
    for(ll i = 0; i < 16; i++) {
        ll lastReal = vReal & 0b1;
        ll last2 = v2 & 0b1;
        if(last2 != lastReal) {
            cout << i + 1 << " " << lastReal << "\n";
            break;
        }
        vReal = vReal >> 1;
        v2 = v2 >> 1;
    }
    return 0;
}
