def convert_base(num, to_base, from_base):
    # first convert to decimal number
    n = int(num, from_base) if isinstance(num, str) else num
    # now convert decimal to 'to_base' base
    alphabet = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ"
    res = ""
    while n > 0:
        n,m = divmod(n, to_base)
        res += alphabet[m]
    return res[::-1]


str1, str2, step = input().split()
step = int(step)
str1_2 = convert_base(str1, to_base=2, from_base=16)
str1_2 = '0'*(16-len(str1_2)) + str1_2
for i in range(step):
    str1_2 = str1_2[-1] + str1_2[:-1]
    
str1_2_r = str1_2[::-1]
str2_2_r = convert_base(str2, to_base=2, from_base=16)[::-1]

for i in range(len(str1_2_r)):
    if str1_2_r[i] != str2_2_r[i]:
        break
print(i+1, str1_2_r[i])